/*!
 * @file network_socket.h
  *  Main interface for the network module. Manages all the modules

*/

#ifndef _TCP_SOCKET
#define _TCP_SOCKET

/* include this file, it contains some default definitions */
#include "netdefs.h"


/* include base_object.h since all classes are derived from this one */
#include "network_socket.h"

class TcpSocket : public NetworkSocket
{
  public:
    TcpSocket();
    TcpSocket( std::string host, int port );
    virtual ~TcpSocket();

    virtual void connectToServer( std::string host, int port );
    
    virtual void disconnectServer();

    virtual bool writePacket(byte * data, int length);

    virtual int readPacket(byte * data, int maxLength);


};



#endif /* _NETWORK_SOCKET */
